let
  pkgs = import <nixpkgs> {};
  my-python-packages = ps: with ps; [
    pandas
    requests
    tkinter
    gunicorn
    python-vlc
    mpv
    (
     buildPythonPackage rec {
     pname = "tkVideo";
     version = "0.1";
     src = fetchPypi {
     inherit pname version;
     sha256 = "sha256-nxSWlqwC7rlPJbJQGtlb1AP75omUZWK2sNVgQJYVGfU=";
     };
     doCheck = false;
     propagatedBuildInputs = [
        imageio
     ];
     }
    )
    opencv4
    #(
    # buildPythonPackage rec {
    # pname = "opencv-python-headless";
    # version = "4.8.0.76";
    # src = fetchPypi {
    # inherit pname version;
    # sha256 = "sha256-vBVyYYfa4m2KCHd/r2vHHTjyDHhcECZ39Yug6TUAOvs=";
    # };
    # doCheck = false;
    # propagatedBuildInputs = [
    # ];
    # }
    #)

    pillow
    flask
    flask_sqlalchemy
    flask_login
    flask-cors
    imageio
    imageio-ffmpeg
    pyavm
  ];
  my-python = pkgs.python310.withPackages my-python-packages;
in
  my-python.env
