#!/bin/sh

# Background (--color=rrggbb or --image=path)
#BACKGROUND="--image=${HOME}/wallpaper-lock.jpg"

# Foreground color (rrggbbaa)
COLOR_FG="ffffffff"
COLOR_SCREEN="000000ff";

# Ring color during incorrect password flash (rrggbbaa)
COLOR_RINGWRONG="ff0000ff";

COLOR_TEXT="ffffffff";
# Date string format (see `man strftime.3`)
FORMAT_DATE="%A, %B %e"
FORMAT_TIME="%H:%M"

# Main font (for time and greeter)
FONT="sans-serif:light"
# Alternative font (for date)
FONT_ALT="sans-serif:thin"

# Time font size
SIZE_TIME=144
# Date font size
SIZE_DATE=48

   # "${BACKGROUND}" \
i3lock-color \
    --force-clock \
    --ignore-empty-password \
    --screen=0 \
    --color="${COLOR_SCREEN}" \
    --show-failed-attempts \
    --inside-color="${COLOR_SCREEN}" \
    --ring-color="${COLOR_SCREEN}" \
    --insidever-color="${COLOR_SCREEN}" \
    --ringver-color="${COLOR_SCREEN}" \
    --insidewrong-color="${COLOR_SCREEN}" \
    --ringwrong-color="${COLOR_RINGWRONG}" \
    --layout-color="${COLOR_TEXT}" \
    --time-color="${COLOR_TEXT}" \
    --date-color="${COLOR_TEXT}" \
    --greeter-color="${COLOR_TEXT}" \
    --date-str="${FORMAT_DATE}" \
    --time-str="${FORMAT_TIME}" \
    --noinput-text="clear" \
    --pass-screen-keys \
    --pass-power-keys \
    --pass-volume-keys \
    --radius=105 \
